<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Set Password</title>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--  <link rel="manifest" href="/manifest.json">-->
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black">
        <meta name="apple-mobile-web-app-title" content="My Tablab">
        <link rel="apple-touch-icon" href="">
        <meta name="msapplication-TileImage" content="">
        <meta name="msapplication-TileColor" content="#2aabd2">

        <%include partials/head %>

        <style type="text/css">
            body {
                background-color: #eee;
                display: flex;
                justify-content: center;
            }

            h1 {
                margin: 30px 0;
                padding: 0 200px 15px 0;
                border-bottom: 1px solid #E5E5E5;
            }

            .bs-example{
                margin: 20px;
            }

            .container{
                float: center;
                background-color:white;
                border-radius:10px; 
                float:center;
                width: 350px;
                padding: 3% 1% 0% 1%;
            
            }
            @media screen and (max-width: 400px){
            ul.navbar-nav li a {
                text-align: right;
                float: none;
            }
        }
        </style>
    </head> 
    <body>
        <div id="body">
            <div id="InvalidUserNote" class="modal fade">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" id="btnHome" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                            <h4 class="modal-title" align="center">Alert Message</h4>
                        </div>
                    </div>
                </div>
            </div>
        <div>

        <div style="display:flex; justify-content:center; margin-top:20px;">
            <a class="">
                <img src="/images/logoTabLab.png" width="150px">
            </a>
        </div>
        <div style="margin-top: 100px"></div>
        <div class="container" id="box">
            <div align="center">
                <label>Set Password</label>
                <hr>
            </div>

            <!--************************* set password *******************************-->
            <div class="bs-example">
                <div class="form-horizontal">
                    <div class="input-group margin-bottom-sm">
                        <input class="form-control" type="hidden" id = "redirect" name="log" value=<%=redirect%> >
                    </div>
                    <div class="input-group margin-bottom-sm">
                        <input class="form-control" type="hidden" id = "uid"  name="log" value=<%=uid%> >
                    </div>
                    <div class="input-group margin-bottom-sm">
                        <span class="input-group-addon"><i class="fa fa-envelope-o fa-fw"></i></span>
                        <input class="form-control" type="text"  name="log" id = "email" disabled  value= <%=email%> placeholder="Email address">
                    </div>
                    <br>
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-key fa-fw"></i></span>
                        <input class="form-control" type="password" pattern=".{6,}" name = "pwd" id = "password" placeholder="Password" style="border-right:0px "><span class="input-group-addon tip-bottom" data-toggle="tooltip" title="Password must be minimum 6 character." style="background-color: white"><i class="fa fa-info-circle "></i></span>
                    </div>
                    <br>
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-key fa-fw"></i></span>
                        <input class="form-control" type="password"  name = "pwd" id = "c-password" placeholder="Confirm Password">
                    </div>
                    <br>
                    <br>
                    <div class="btn-group open" style="display:flex; justify-content:center;">
                        <button type="button" name="submit" id="submit" class="btn" style="font-weight:900; background-color:#F7C82B">Submit</button>
                    </div>
                </div>
            </div>
        </div>
    </body>

    <script type="text/javascript">
        var submit = document.getElementById("submit");

        submit.addEventListener ("click", function() {
            const VALIDATE_PASSWORD = 6;
            var email = document.getElementById("email");
            var password = document.getElementById("password");
            var uid = document.getElementById("uid")
            var confirm = document.getElementById("c-password").value

            var info = {}
            info.email = email.value;
            info.password = password.value;
            info.uid = uid.value;

            if(info.password.length < VALIDATE_PASSWORD) {
                alertMsg("Password must be atleast 6 characters long.");
                return;
            }

            if(info.password == confirm) {
                submit.disabled = true;
                alertMsg("Processing, please wait...");

                sendRequest("setPassword", "POST", info, function(err) {
                    if(err) {
                        console.log('error >> ', err);
                        alertMsg("Server error while setting password!");
                    } else {
                        location.href = document.getElementById("redirect").value;
                    }
                    submit.disabled = false;
                });
            } else {
                alertMsg("Passwords didn't match");
            }         
        });

        function sendRequest (url, requestMethod, extraInfo, response) {
            var request = new XMLHttpRequest();
            request.open(requestMethod, url);
            if (!extraInfo) { // instanceof Function) 
                request.send();
                request.addEventListener('load', function(event) {
                    try {
                        if (request.status == 200) {
                            var data;
                            if (request.responseText) {
                                data = JSON.parse(request.responseText);
                            }
                            response(null, data);
                        } else {
                            var error = JSON.parse(request.responseText)
                            response(error);
                        }
                    } catch(e) {
                        console.log(e);
                        response();
                    }
                });
            } else {
                request.setRequestHeader("Content-type", "application/json");
                request.send(JSON.stringify(extraInfo));
                request.addEventListener('load', function(event) {
                    try {
                        if (response) {
                            console.log(request.responseText);
                            const responseText = JSON.parse(request.responseText);
                            response(responseText.error);
                        }
                    } catch(e) {
                        console.log(e);
                        response();
                    }
                });
            }
        }

        function alertMsg(msg) {
            $("#InvalidUserNote").find("h4").html(msg);
            $("#InvalidUserNote").modal('show');
        }

        $(".tip-bottom").tooltip({
            placement : 'bottom'
        });
    </script>
</html>